#!/bin/bash
set -euo pipefail
declare clients=( hiljainen.susurrando.com )

rm /etc/postfix/allowed_clients
touch /etc/postfix/allowed_clients
chown postfix.postfix /etc/postfix/allowed_clients
chmod o-rwx /etc/postfix/allowed_clients
chmod ug+rw /etc/postfix/allowed_clients

for client in "${clients[@]}"
do
    client_ip=$(dig "${client}" | grep -v '^;' |grep "\sA\s" | awk '{print($5)}')
    echo "${client_ip} OK" >> /etc/postfix/allowed_clients
done
postmap /etc/postfix/allowed_clients
